#
# spec file for package gdl
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gdl
Version:        3.40.0
Release:        2.10
Summary:        Gnome Devtool Libraries
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
URL:            https://gitlab.gnome.org/GNOME/gdl
Source:         https://download.gnome.org/sources/gdl/3.40/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool >= 0.40.4
BuildRequires:  libxml2-devel

%description
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

%package -n libgdl-3-5
Summary:        Gnome Devtool Libraries
Group:          System/Libraries
Provides:       gdl = %{version}
Obsoletes:      gdl < %{version}

%description -n libgdl-3-5
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

%package -n typelib-1_0-Gdl-3
Summary:        Introspection bindings for the Gnome Devtool libraries
Group:          System/Libraries

%description -n typelib-1_0-Gdl-3
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

This package provides the GObject Introspection bindings for GDL.

%package devel
Summary:        Development files for the Gnome Devtool libraries
Group:          Development/Libraries/GNOME
Requires:       libgdl-3-5 = %{version}
Requires:       typelib-1_0-Gdl-3 = %{version}

%description devel
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

%lang_package

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}-3
%fdupes -s %{buildroot}

%post -n libgdl-3-5 -p /sbin/ldconfig
%postun -n libgdl-3-5 -p /sbin/ldconfig

%files -n libgdl-3-5
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n typelib-1_0-Gdl-3
%{_libdir}/girepository-1.0/Gdl-3.typelib

%files devel
%{_includedir}/libgdl*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/Gdl-3.gir
%{_datadir}/gtk-doc/html/gdl-3.0/

%files lang -f %{name}-3.lang

%changelog
* Mon Sep 20 2021 Stanislav Brabec <sbrabec@suse.com>
- Remove obsolete translation-update-upstream support
  (jsc#SLE-21105).
* Fri Aug 27 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.40.0:
  + Center dock item button images
  + Fix build problem on macOS
  + Fix tab reordering
  + Updated translations.
- Update URL to new gitlab home.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Sun Sep  8 2019 mgorse@suse.com
- Update to version 3.34.0:
  + Updated translations.
* Sun Mar 11 2018 dimstar@opensuse.org
- Update to version 3.28.0:
  + bgo#791913: Convert Latin-1-encoded characters to UTF-8.
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sun Sep 10 2017 zaitor@opensuse.org
- Update to version 3.26.0:
  + No changes, stable bump only.
* Fri Sep  8 2017 jengelh@inai.de
- Update descriptions, RPM groups and old macros.
* Sun Aug 20 2017 zaitor@opensuse.org
- Update to version 3.25.91:
  + Remove some run time warnings.
  + Convert various source files to UTF-8.
  + dock-object: fix gtk-doc comment for dock signal.
  + Updated translations.
* Sun Sep 18 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Really enforce GDL_DOCK_ITEM_BEH_CANT_CLOSE.
  + Updated translations.
* Sat Mar 19 2016 zaitor@opensuse.org
- Update to version 3.20.0:
  + No changes, versionbump only.
* Sun Sep 20 2015 zaitor@opensuse.org
- Update to version 3.18.0:
  + Use "resize" property and fix a bug in panel widget.
  + bgo#751239: Fix preview window color.
  + bgo#729325: Set type hint of dragged-out windows to TOOLBAR.
  + Updated translations.
* Sat Mar 21 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Sun Sep 21 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + No changes since 3.13.92, stable release.
* Sun Sep 14 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Updated translations.
* Wed Mar 26 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + No changes from version 3.11.92.
* Mon Mar 17 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Fix build using C++11.
  + Fix valgrind warnings.
  + Update FSF's address.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Sun Sep  1 2013 zaitor@opensuse.org
- Update to version 3.9.91:
  + Allow to add GdlDock object inside GdlDockItem.
  + Hide unused widget.
  + Remove unused header.
  + Indent layout when saving.
  + New property tab-pos and tab-reorderable for GdlSwitcher.
  + Emit notify signal in DockObject setters.
  + Bugs fixed: bgo#699545, bgo#515755.
  + Updated translations.
* Sat Apr 13 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Fix build with automake 1.13.
  + Updated translations.
* Sun Mar 24 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Sat Mar  9 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + bgo#693298: GdlDockItem::dock-drag-motion signal doesn't match
    vfunc.
  + Updated translations.
* Tue Jan  8 2013 dimstar@opensuse.org
- Update to version 3.7.3:
  + Fix build with GDL_DISABLE_DEPRECATED defined
  + Hide GdlDockNotebook button if there is only one visible page
  + Unused docks don't disappear (bgo#688585)
  + Fix gtk theme warning and assertion
  + Reading the master member of GdlDockObject returns null pointer
    (bgo#686702)
  + Updated translations
* Mon Nov 12 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + Generate error at compile time when using deprecated member
    (bgo#686702).
  + Updated translations.
* Wed Sep 26 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
* Thu Sep  6 2012 dimstar@opensuse.org
- Update to version 3.5.91:
  + Updated translations.
- Rename libgdl-3-4 subpackage to libgdl-3-5, following upstreams
  soname bump.
* Mon Aug  6 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Fix various layout bugs from previous changes
  + Remove public members in structs
  + Deprecate macros and replace them with access functions
    (+ adding some new access functions for now private members)
  + Constructor for GdlDockBar loses 'dock' argument with gobj
    (bgo#667158)
  * test-dock crashes (bgo#680655).
* Mon Jul 23 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + New handling of hidden/not existing windows in layout.
- Rename libgdl-3-0 to libgdl-3-4, followin upstreams soname bump.
* Wed Jun 27 2012 dimstar@opensuse.org
- Update to version 3.5.3:
  + skip-taskbar property
  + Fix hidden buttons
  + Various deprecations and code improvements
  + Improve Documentation
* Mon Apr 23 2012 vuntz@opensuse.org
- Update to version 3.4.2:
  + Use correct so name (bgo#673010)
  + Updated translations.
- Drop gdl-soversion.patch: fixed upstream.
* Fri Mar 30 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Fix shared library name.
- Add gdl-soversion.patch: additional fix for soversion, taken from
  git.
- Rename libgdl-3-3 back to libgdl-3-2 now that soversion is fixed.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Updated translations.
- Rename libgdl-3-2 to libgdl-3-3 following upstream soversion
  bump.
* Mon Mar  5 2012 dimstar@opensuse.org
- Update to version 3.3.91:
  + Merge more changes from Inkscape.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 3.3.90:
  + Hide preview window correctly.
- Remove xz BuildRequires now that it comes for free in the build
  system.
* Tue Jan 17 2012 vuntz@opensuse.org
- Update to version 3.3.4:
  + Include some inkscape patches.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Wed Dec 21 2011 vuntz@opensuse.org
- Simplify summaries.
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib file into typelib-1_0-Gdl-3 subpackage.
- Add typelib-1_0-Gdl-3 Requires to devel subpackage.
* Wed Oct 26 2011 dimstar@opensuse.org
- Update to version 3.3.1:
  + Remove GdlLayoutManager API.
- Rename libgdl-3-1 to libgdl-3-2, following the library soname
  bump.
* Mon Oct  3 2011 dimstar@opensuse.org
- Update to version 3.2.0:
  + Use maintainer-mode by default
  + Updated translations.
- Clean spec file using spec-cleaner and fix files section.
* Sat Aug 13 2011 dimstar@opensuse.org
- Update to version 3.1.5:
  + Fix a crash while docking
  + Fix issues with latest GTK+
- Drop gdl-gtk_hv_box.patch: fixed upstream.
* Tue Aug  2 2011 dimstar@opensuse.org
- Add gdl-gtk_hv_box.patch: Stop using deprecated GtkHBox and
  GtkVBox.
* Mon Jul 25 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + bgo#655099: Resizing one DockItem affects another
- Change Requires of lang subpackage in libgdl-3-1 to Recommends as
  the translations are not strictly required for the library.
- Change Group of devel subpackage from System/Libraries to
  Development/Libraries/GNOME.
* Tue Jun 14 2011 dimstar@opensuse.org
- Update to version 3.1.2:
  + Add a deselected signal to GdlDockItem
  + Use "const" instead G_CONST_RETURN.
* Tue May 17 2011 dimstar@opensuse.org
- Update to version 3.1.1:
  + bgo#649254: Use the gobject way to create the private structs
  + bgo#649258: Use the new GtkStyleContext
  + bgo#649259: Remove deprecated methods
- Drop gdl-rpmlintrc: we no longer obsolete libgdl-1-0.
* Wed Apr 27 2011 fcrozat@novell.com
- Update to version 3.0.1:
  + Set GtkJunctionSides for GdlSwitcher toggle buttons.
  + Updated translations.
* Tue Apr  5 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Fix missing return values
  + Updated translations.
- Changes from version 2.91.92:
  + Build fixes
  + Translation updates
- Changes from version 2.91.90:
  + Translation updates
- Changes from version 2.91.4:
  + Fixed for latest gtk+
- Changes from version 2.91.3:
  + GIR build fixed for vala
  + Use gtk_paned_new instead() of gtk_[h,v]paned_new()
- Changes from version 2.91.2:
  + bgo#633499: prepare for the demise of size_request
  + Some smaller fixes for leftovers of the gtk+-3.0 transition
- Changes from version 2.91.1:
  + Ported to lastest gtk+ master:
  - bgo#633049: Stop using GtkObject
  - bgo#630841: Don't use deprecated GDK drawing APIs
  - bgo#631070: Use upstream gettext instead the Glib one
  - bgo#624636: Update to new GtkNotebook switch-page signal
    signature.
  + Due to new drawing API we have much nicer preview windows now.
- Changes from version 2.90.0:
  + Depends on gtk+-3.0 now:
  - new library name libgdl3
  - new pkg-config name gdl-3.0
- Drop gdl-build-fix.patch: fixed upstream.
- Update library package name to follow library soname change.
- Change gtk2-devel BuildRequires to gtk3-devel.
- Add gobject-introspection-devel BuildRequires to build
  introspection support.
- Remove explicit Requires of gtk2-devel and libxml2-devel in devel
  subpackage: they will automatically be added the pkgconfig() way.
- Remove Obsoletes for libgdl-1-0 as this is not needed anymore
  with the soname change.
- Remove Provides/Obsoletes for gdl-doc as this was long enough
  ago.
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.30.1:
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updated translations.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Iconify button now iconifies entire switcher, not just that
    particular item.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 2.29.2:
  + Add a "selected" signal to GdlDockItem
  + Don't make dock windows transistent, there is no need to do so
    (bgo#570263)
  + bgo#583984 - Build warning about no return value
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 2.28.1:
  + Updated translations.
- Fix rpmlint warnings about self-obsoletion.
* Thu Oct  1 2009 dimstar@opensuse.org
- Rename libgdl-1-2 to libgdl-1-3 as the last updated bumped the
  soNUM.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + GDL is now LGPL 2.1+
  + Add new GdlSwitcherStyle name GDL_SWITCHER_STYLE_NONE
    (bgo#589317)
* Sun Jun 14 2009 vuntz@novell.com
- Update to version 2.27.3:
  + Removed libglade dependency
  + bgo#584418 - gdl_dock_paned_dock does not show the requestor
  + bgo#584303 - Potfiles.in broken
  + bgo#580860 - Remove deprecated libgnome dependency
  + bgo#582511 - Use GtkBuilder instead of libglade
  + bgo#583963 - does not build with gdl 2.27.2
- Drop gdl-missing-include.patch: fixed upstream.
- Remove libglade2-devel BuildRequires and from Requires of devel
  package.
- Add libxml2-devel BuildRequires.
* Thu May 28 2009 vuntz@novell.com
- Add gdl-missing-include.patch to install a header in includedir.
  Else, everything depending on gdl fails to build.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Fix out of source tree builds
  + Hide private API
  + Fix so name generation
- Rename package to libgdl-1-2, and Obsoletes libgdl-1-0.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Bugs fixed:
  - bgo#579057 – Grip layout bug where negative rectangles are
    possible
  - bgo#578967 – gdl_dock_item_grip_remove must be implemented
  - bgo#471317 – invisible buttons in HCI theme
  - bgo#560820 – Remove GdlComboButton
  - bgo#577938 – gdl_dock_placeholder_new's name param should be
    const gchar* not gchar*
  - bgo#577107 – Layout bug in the grip widget headers
  - bgo#577001 – Patch: Added optional grip handle hatching
  - bgo#577469 – Remove deprecated GTK+ symbols
  + API changes:
  - GdlComboButton API has been removed. Use GtkMenuToolButton
    instead
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Fix distcheck
  + Fix valgrind warning
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + bgo#566801 – Docking+undocking all makes the buttons disappear
    and crashes if you use "Reset dock layout"
  + bgo#573522 – More patches for GDL
  + Small documentation update
- Don't use AutoReqProv: it's default now.
- Remove -fno-strict-aliasing from CFLAGS.
- Use parallel make.
* Tue Feb 17 2009 vuntz@novell.com
- Fix Provides/Obsoletes to use %%{version}. The lang package
  requires gdl = %%{version}, so we have to do this.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Added some gtk-doc documentation
  + Cleaned-up gtk+ includes
- Add BuildRequires: gtk2-devel
- Remove BuildRequires: gconf2-devel, gtk-doc, libgnomeui-devel,
  perl-libxml-perl, pkg-config
- Remove Requires from devel package: gnome-vfs2-devel,
  libgnomeui-devel
- Use %%makeinstall
- Merge doc package in devel package since it's gtk-doc (with
  Obsoletes/Provides).
- Move glade files to libgdl-1-0 package.
- Drop gdl package since it's now empty (Obsoletes/Provides by
  libgdl-1-0).
- Have libgdl-1-0 require the lang package.
- Have devel package require libgdl-1-0.
- Clean file list.
* Thu Oct 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Fixed a dataroot problem
  + Misc. code cleanups
  + Updated translations
- Split out a shared library subpackage.
* Tue Aug 26 2008 mboman@novell.com
- Updated to version 2.23.90:
  + Version increased to match gnome releases.
  + Use smaller buttons to waste less space
  + Port to the GtkTooltip API (fixes bgo#457562)
  + Fixed bug bgo#529457 - Superfluous condition
  + Fixed bug bgo#539288 - Use gtype macros instead of the deprecated
    gtk ones.
  + Translation updates.
* Mon Mar 31 2008 vuntz@suse.de
- Updated to version 0.7.11:
  + Translation updates.
- Change from version 0.7.10:
  + Avoid glib critical warnings
  + Translation updates.
- Change from version 0.7.9:
  + Added gtk-doc documentation (12%% coverage)
  + Fixed documentation of property (bgo#514116)
  + Translation updates.
- Change from version 0.7.8:
  + Disable deprecated flags completely until bgo#457562 is fixed
  + Do not ref/unref icon theme.
  + Use smaller icons to not waste too much screen space
  + Fixed bgo#468645 and bgo#452331 by using gnome-autogen.sh
  + Fix bgo#462537 – GdlDockItemGrip notification callback
  + Backported several small improvements from Monodevelop
  + Fixes bug bgo#509950 - L10N: typos in some messages (fow -> for)
  + Silenced some compiler warnings.
  + Translation updates.
* Wed Oct  3 2007 maw@suse.de
- Package cleanups:
  + Remove unnecessary explicit requirements
  + Split off a -devel subpackage
  + Fix build on biarch platforms
  + Trim and alphabetize build requirements
  + Add a -lang subpackage.
* Tue Sep 25 2007 mauro@suse.de
- Version 0.7.7 added to openSUSE
